Subject: Re: [Simple] publishing presence state - sip and pres uris

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 08 Jun 2006 16:36:05 -0400

inline.

[email-masked] wrote:

>>-----Original Message-----
>>From: Jonathan Rosenberg [mailto:[email-masked]]
>>Sent: Monday, May 01, 2006 9:21 PM
>>To: Peknik Silvestr
>>Cc: [email-masked]
>>Subject: Re: [Simple] publishing presence state - sip and pres uris
>>
>>This can happen, yes. The presence data model draft (out shortly as an
>>RFC) does say you shouldn't do this - that the URI in the SUBSCRIBE or
>>PUBLISH should match that in the document.
> 
> 
> What is the relation between To header and r-URI? Currently it seems to
> me that the client should set both to the same value, but r-URI can be
> changed by proxies. If this is the case, why not to use To header
> instead of r-URI for identifying the target of the request? And if the
> r-URI can not be changed, what is the purpose of To header?

You are correct that the To header and R-URI are set to be the same by 
the client. As the request is forwarded, the r-uri gets rewritten. 
Though forwarding makes less sense for presence than it does for an 
INVITE, it could happen (for example, I can forward subscriptions for 
sip:[email-masked] to sip:[email-masked]). As such, when a 
SUBSCRIBE arrives at a presence server, it looks at the request URI.

> 
> 
>>That said, the presence server should know that the pres and sip URI
> 
> are
> 
>>equivalent, and thus even though the R-uri identifies the SIP URI, tFrom [email-masked] Thu Jun 08 20:37:43 2006
Date: Thu, 08 Jun 2006 16:36:05 -0400
From: Jonathan Rosenberg <[email-masked]>
To: [email-masked]
Subject: Re: [Simple] publishing presence state - sip and pres uris
Cc: [email-masked]

inline.

[email-masked] wrote:

>>-----Original Message-----
>>From: Jonathan Rosenberg [mailto:[email-masked]]
>>Sent: Monday, May 01, 2006 9:21 PM
>>To: Peknik Silvestr
>>Cc: [email-masked]
>>Subject: Re: [Simple] publishing presence state - sip and pres uris
>>
>>This can happen, yes. The presence data model draft (out shortly as an
>>RFC) does say you shouldn't do this - that the URI in the SUBSCRIBE or
>>PUBLISH should match that in the document.
> 
> 
> What is the relation between To header and r-URI? Currently it seems to
> me that the client should set both to the same value, but r-URI can be
> changed by proxies. If this is the case, why not to use To header
> instead of r-URI for identifying the target of the request? And if the
> r-URI can not be changed, what is the purpose of To header?

You are correct that the To header and R-URI are set to be the same by 
the client. As the request is forwarded, the r-uri gets rewritten. 
Though forwarding makes less sense for presence than it does for an 
INVITE, it could happen (for example, I can forward subscriptions for 
sip:[email-masked] to sip:[email-masked]). As such, when a 
SUBSCRIBE arrives at a presence server, it looks at the request URI.

> 
> 
>>That said, the presence server should know that the pres and sip URI
> 
> are
> 
>>equivalent, and thus even though the R-uri identifies the SIP URI, tFrom [email-masked] Thu Jun 08 20:37:43 2006
Date: Thu, 08 Jun 2006 16:36:05 -0400
From: Jonathan Rosenberg <[email-masked]>
To: [email-masked]
Subject: Re: [Simple] publishing presence state - sip and pres uris
Cc: [email-masked]

inline.

[email-masked] wrote:

>>-----Original Message-----
>>From: Jonathan Rosenberg [mailto:[email-masked]]
>>Sent: Monday, May 01, 2006 9:21 PM
>>To: Peknik Silvestr
>>Cc: [email-masked]
>>Subject: Re: [Simple] publishing presence state - sip and pres uris
>>
>>This can happen, yes. The presence data model draft (out shortly as an
>>RFC) does say you shouldn't do this - that the URI in the SUBSCRIBE or
>>PUBLISH should match that in the document.
> 
> 
> What is the relation between To header and r-URI? Currently it seems to
> me that the client should set both to the same value, but r-URI can be
> changed by proxies. If this is the case, why not to use To header
> instead of r-URI for identifying the target of the request? And if the
> r-URI can not be changed, what is the purpose of To header?

You are correct that the To header and R-URI are set to be the same by 
the client. As the request is forwarded, the r-uri gets rewritten. 
Though forwarding makes less sense for presence than it does for an 
INVITE, it could happen (for example, I can forward subscriptions for 
sip:[email-masked] to sip:[email-masked]). As such, when a 
SUBSCRIBE arrives at a presence server, it looks at the request URI.

> 
> 
>>That said, the presence server should know that the pres and sip URI
> 
> are
> 
>>equivalent, and thus even though the R-uri identifies the SIP URI, the
>>document should be applied to the presentity URI sip:[email-masked]
> 
> as
> 
>>well. Consequently, a SUBSCRIBE request for sip:[email-masked] would
>>return a presence document whose entity attribute is
> 
> sip:[email-masked].
> 
> I guess there is typo - it should say:
> ...applied to the presentity URI pres:[email-masked] as well...
> Am I right?

Yes, sorry.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple